Bug 1252530 - Review Request: smaclient - Provides access to z/VM System Management functions
Review Request: smaclient - Provides access to z/VM System Management functions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 11:56 EDT by Rafael Fonseca
Modified: 2015-10-07 19:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 02:21:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafael Fonseca 2015-08-11 11:56:43 EDT
Spec URL: https://rdossant.fedorapeople.org/smaclient.spec

SRPM URL: https://rdossant.fedorapeople.org/smaclient-1.1-1.fc22.src.rpm

Description: 
smaclient is a tool which provides a line-mode interface to the z/VM System
Management API (SMAPI) for most Unix-compatible systems such as Linux.
Smaclient can exercise all the VM management interfaces to create, modify and
destroy virtual machines without ever logging into z/VM.

Fedora Account System Username: rdossant
Comment 1 Dan Horák 2015-08-12 04:23:29 EDT
few notes
- you can remove "rm -rf $RPM_BUILD_ROOT" from %install, rpm does it automagically
- add back %defattr() and remove the individual %attr()
- you are installing the smiucv C code instead of the built binary

full rpmlint output from the source and binary rpms:
smaclient.src: W: no-version-in-last-changelog
smaclient.src: W: strange-permission smaclient-1.1 775
smaclient-debuginfo.x86_64: W: no-version-in-last-changelog
smaclient-debuginfo.x86_64: E: empty-debuginfo-package
smaclient.x86_64: W: no-version-in-last-changelog
smaclient.x86_64: E: no-binary
smaclient.x86_64: W: no-documentation
smaclient.x86_64: E: script-without-shebang /usr/bin/smiucv
smaclient.x86_64: W: no-manual-page-for-binary smaclient
smaclient.x86_64: W: no-manual-page-for-binary smiucv
3 packages and 0 specfiles checked; 3 errors, 7 warnings.
Comment 2 Rafael Fonseca 2015-08-12 04:57:50 EDT
I updated the files. Now the only warning is related to the lack of docs. I don't know what to do about them though.
Comment 3 Rafael Fonseca 2015-08-12 10:26:27 EDT
One more update now regarding runtime requirements and the correct generation of debuginfo package.

SRPM URL: https://rdossant.fedorapeople.org/smaclient-1.1-3.fc22.src.rpm
Comment 4 Dan Horák 2015-08-13 05:47:21 EDT
formal review is here, see the notes explaining OK* and BAD statuses below:

OK      source files match upstream:
            fffcc914b9023665129843aacedc4561f30071ad  smaclient-1.1
OK      package meets naming and versioning guidelines.
OK      specfile is properly named, is cleanly written and uses macros consistently.
OK      dist tag is present.
OK      license field matches the actual license.
OK      license is open source-compatible.  License text not included upstream.
OK      latest version is being packaged.
OK      BuildRequires are proper.
OK      compiler flags are appropriate.
OK      package builds in mock (Rawhide/x86_64).
OK      debuginfo package looks complete.
OK      rpmlint is silent (excep.
OK      final provides and requires look sane.
N/A     %check is present and all tests pass.
OK      no shared libraries are added to the regular linker search paths.
OK      owns the directories it creates.
OK      doesn't own any directories it shouldn't.
OK      no duplicates in %files.
OK      file permissions are appropriate.
OK      no scriptlets present.
OK      code, not content.
OK      documentation is small, so no -docs subpackage is necessary.
OK      %docs are not necessary for the proper functioning of the package.
OK      no headers.
OK      no pkgconfig files.
OK      no libtool .la droppings.
OK      not a GUI app.

- rpmlint complains about man pages and docs generally, but they are being worked on
smaclient.x86_64: W: no-documentation
smaclient.x86_64: W: no-manual-page-for-binary smaclient
smaclient.x86_64: W: no-manual-page-for-binary smiucv
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

The package is APPROVED.
Comment 5 Rafael Fonseca 2015-08-14 05:28:10 EDT
New Package SCM Request
=======================
Package Name: smaclient
Short Description: Provides access to z/VM System Management functions
Upstream URL: http://download.sinenomine.net/smaclient/
Owners: rdossant
Branches: f21 f22 f23 el6 epel7
InitialCC:
Comment 6 Gwyn Ciesla 2015-08-17 09:42:00 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-08-17 10:53:32 EDT
smaclient-1.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/smaclient-1.1-3.el6
Comment 8 Fedora Update System 2015-08-17 10:54:29 EDT
smaclient-1.1-3.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/smaclient-1.1-3.fc23
Comment 9 Fedora Update System 2015-08-17 10:55:11 EDT
smaclient-1.1-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/smaclient-1.1-3.fc22
Comment 10 Fedora Update System 2015-08-17 10:57:02 EDT
smaclient-1.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/smaclient-1.1-3.fc21
Comment 11 Fedora Update System 2015-08-17 10:57:47 EDT
smaclient-1.1-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/smaclient-1.1-3.el7
Comment 12 Fedora Update System 2015-08-17 15:08:03 EDT
smaclient-1.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 13 Fedora Update System 2015-09-03 05:52:33 EDT
smaclient-1.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update smaclient'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14879
Comment 14 Fedora Update System 2015-09-03 13:19:18 EDT
smaclient-1.1-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update smaclient'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7903
Comment 15 Fedora Update System 2015-09-03 13:20:01 EDT
smaclient-1.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update smaclient'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7901
Comment 16 Fedora Update System 2015-09-03 15:18:59 EDT
smaclient-1.1-4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update smaclient'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14883
Comment 17 Fedora Update System 2015-09-03 15:20:46 EDT
smaclient-1.1-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update smaclient'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14881
Comment 18 Fedora Update System 2015-10-07 02:21:10 EDT
smaclient-1.1-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-10-07 12:37:27 EDT
smaclient-1.1-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-10-07 16:11:18 EDT
smaclient-1.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-10-07 18:30:19 EDT
smaclient-1.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-10-07 19:48:42 EDT
smaclient-1.1-4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.